{
  "compilerOptions": {
    "baseUrl": "./",
    "target": "es5",
    "module": "commonjs",
    "moduleResolution": "node",
    "declaration": false,
    "inlineSourceMap": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "removeComments": false,
    "skipLibCheck": true,
    "noImplicitAny": false,
    "outDir": "build_dev/js",
    "allowSyntheticDefaultImports": true,
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2016",
      "dom",
      "es2017.object",
      "es2018.promise"
    ]
  },
  "compileOnSave": false,
  "buildOnSave": false,
  "include": [
    "src/ts/**/*"
  ],
  "exclude": [
    "node_modules",
    "./node_modules/@types",
    "**/*.ngfactory.ts",
    "**/*.shim.ts",
    "src/ts/main.aot.ts",
    "src/ts/generated-sources/**/*",
    "src/ts/page.routing.ts",
    "src/ts/aot"
  ]
}
